GrailsAutoConfiguration (Grails 3.2.3)
Date: 2016-11-10

Package: grails.boot.config

## [Groovy] Class GrailsAutoConfiguration

- grails.boot.config.GrailsAutoConfiguration

- All Implemented Interfaces and Traits:
    GrailsApplicationClass, org.springframework.context.ApplicationContextAware

      @groovy.transform.CompileStatic
      @groovy.util.logging.Slf4j
      class GrailsAutoConfiguration
      extends java.lang.Object

  A base class for configurations that bootstrap a Grails application

  Authors:
    Graeme Rocher
  Since:
    3.0

- - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `org.springframework.context.ApplicationContext` | `applicationContext`

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `java.util.Collection<java.lang.Class>` | `classes()` @return The classes that constitute the Grails application
    `void` | `doWithApplicationContext()`
    `void` | `doWithDynamicMethods()`
    `groovy.lang.Closure` | `doWithSpring()`
    `Config` | `getConfig()`
    `GrailsApplication` | `getGrailsApplication()`
    `GrailsApplicationPostProcessor` | `grailsApplicationPostProcessor()` @return A post processor that uses the GrailsPluginManager to configure the org.springframework.context.ApplicationContext
    `protected boolean` | `limitScanningToApplication()` Whether classpath scanning should be limited to the application and not dependent JAR files.
    `void` | `onConfigChange(java.util.Map<java.lang.String, java.lang.Object> event)`
    `void` | `onShutdown(java.util.Map<java.lang.String, java.lang.Object> event)`
    `void` | `onStartup(java.util.Map<java.lang.String, java.lang.Object> event)`
    `java.util.Collection<java.lang.String>` | `packageNames()` Returns: The package names to scan.
    `java.util.Collection<java.lang.Package>` | `packages()` @return The packages to scan

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Object` | `java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Property Detail

    - #### org.springframework.context.ApplicationContext applicationContext

  - ### Method Detail

    - #### java.util.Collection<java.lang.Class> classes()

      Returns:
        The classes that constitute the Grails application

    - #### @java.lang.Override void doWithApplicationContext()

    - #### @java.lang.Override void doWithDynamicMethods()

    - #### @java.lang.Override groovy.lang.Closure doWithSpring()

    - #### Config getConfig()

    - #### GrailsApplication getGrailsApplication()

    - #### @org.springframework.context.annotation.Bean GrailsApplicationPostProcessor grailsApplicationPostProcessor()

      Returns:
        A post processor that uses the GrailsPluginManager to configure the org.springframework.context.ApplicationContext

    - #### protected boolean limitScanningToApplication()

      Whether classpath scanning should be limited to the application and not dependent JAR files. Users can override this method to enable more broad scanning at the cost of startup time.

      Returns:
        True if scanning should be limited to the application and should not include dependant JAR files

    - #### @java.lang.Override void onConfigChange(java.util.Map<java.lang.String, java.lang.Object> event)

    - #### @java.lang.Override void onShutdown(java.util.Map<java.lang.String, java.lang.Object> event)

    - #### @java.lang.Override void onStartup(java.util.Map<java.lang.String, java.lang.Object> event)

    - #### java.util.Collection<java.lang.String> packageNames()

      Returns:
        The package names to scan. Delegates to packages() by default

    - #### java.util.Collection<java.lang.Package> packages()

      Returns:
        The packages to scan